Initiate Transaction
https://api.druo.com/transactions/initiateInitiates a new transaction.
Creates a payment or transfer transaction between an origin account and a destination account. Requires Bearer Token authorization to authenticate the client.
Request body
The custom identifier for this transaction.
The transaction type (e.g., PAYMENT).
The ID of the Tenant that originated the transaction.
The transaction's origin account details.
The ID of the account used to fund this transaction.
Token identifier.
The UUID of the Institution where the Connected Account is registered. Required if uuid and token are not provided.
The account's number. Required if uuid and token are not provided.
The account's routing number, usually indicating where the account was opened.
The UUID of an existing End User to associate with this Transaction. Required if new_end_user_details is not present.
Details of a new end user to create and associate with this transaction.
The type of end user. Whether a company or an individual. Required if new_end_user_details is present.
The user's first name. Required if type = INDIVIDUAL.
The user's last name. Required if type = INDIVIDUAL.
The organization's name.
The organization's legal name. Required if type = ORGANIZATION.
The user's ID number. Required if local_id_country is COL.
The user's ID type. Required if local_id_country is COL.
The user's citizenship in a 3-letter ISO code. Required if local_id_country is COL.
The user's email address.
The user's phone number details.
The user's phone number's country code.
The user's phone number without the country code.
The transaction's destination account details.
The ID of the account used to fund this transaction.
Token identifier.
The UUID of the Institution where the Connected Account is registered. Required if uuid and token are not provided.
The account's number. Required if uuid and token are not provided.
The account's routing number, usually indicating where the account was opened.
The UUID of an existing End User to associate with this Transaction. Required if new_end_user_details is not present.
Details of a new end user to create and associate with this transaction.
The type of end user. Whether a company or an individual. Required if new_end_user_details is present.
The user's first name. Required if type = INDIVIDUAL.
The user's last name. Required if type = INDIVIDUAL.
The organization's name.
The organization's legal name. Required if type = ORGANIZATION.
The user's ID number. Required if local_id_country is COL.
The user's ID type. Required if local_id_country is COL.
The user's citizenship in a 3-letter ISO code. Required if local_id_country is COL.
The user's email address.
The user's phone number details.
The user's phone number's country code.
The user's phone number without the country code.
The description of this transaction. Users may see this description (e.g., in email receipts DRUO sends on your behalf).
Description that DRUO will report to institutions so that it appears on your customers' statements. This request may or may not be honored by the institutions. Must contain at least one letter, and be between 4 and 22 characters.
The amount of money, in the smallest denomination of the currency indicated. For example, when currency is USD, the amount is represented in cents ($10.00 USD is 1000).
The currency code in ISO 4217 format.
An optional primary ID you can associate with the transaction for your own purposes (such as to associate the transaction with an entity ID in your own database). This value cannot exceed 40 characters.
An optional secondary ID you can associate with the transaction for your own purposes (such as to associate the transaction with an entity ID in your own database). This value cannot exceed 40 characters.
Set of key-value pairs that you can attach to an object. You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long.
If true, the system will generate a receipt automatically to the preferred receipt method.
Response
The Transaction's status.
PROCESSINGSUCCESSFULFAILEDCANCELEDREVERSEDSUCCESSFULThe ID of the tenant that originated this transaction.
ten_0521aadc-5fbd-4b3c-af0a-a4f4b8d6f20aThe account details used to fund this transaction.
{"uuid":"acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340"}The account's UUID.
acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340The destination account details used in this transaction.
{"uuid":"acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340"}The destination account's UUID.
acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340The total transaction amount, represented in the smallest denomination of the currency (e.g., cents for USD).
10000The total net amount (total_amount minus total_fee) to be paid for this transaction.
9600The description of this transaction.
Insurance policy renewal - INV12324Description that DRUO will report to institutions so that it appears on your customers' statements.
NOVO BILLING* INV12324An optional primary ID associated with the transaction for your own purposes.
ABC123An optional secondary ID associated with the transaction for your own purposes.
bj39fhow39fhqp3f0hfae4344If true, the system will automatically generate a receipt and send it to the preferred receipt method.
TRUEThe date and time the transaction was created (GMT).
2021-11-15T23:23:38The date and time the transaction was last updated (GMT).
2021-11-15T23:23:38
